View Issue Details

IDProjectCategoryView StatusLast Update
0032220FPCUtilitiespublic2017-08-02 13:12
ReporterThaddy de KoningAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformallOSallOS Versionall
Product Version3.1.1Product Build36814 
Target Version3.2.0Fixed in Version3.1.1 
Summary0032220: pas2js utility does not compile
DescriptionThe pas2js utility is currently broken and does not compile anymore.
Steps To Reproducefpc -Sd -Fu/home/pi/lazarus/units/arm-linux/*:/home/pi/lazarus/lcl/units/arm-linux/*:/home/pi/lazarus/components/* -Fl/usr/lib/gcc/arm-linux-gnueabihf/4.9.2 -B -CX -XX -Xs -CpARMV7a -O4 -CfVFPv3 -vwhiq -k-L/opt/vc/lib "pas2js.pas" (in directory: /home/pi/fpcdemos)
Hint: (11030) Start of reading config file /etc/fpc.cfg
Hint: (11031) End of reading config file /etc/fpc.cfg
Free Pascal Compiler version 3.1.1-r36812 [2017/07/29] for arm
Copyright (c) 1993-2017 by Florian Klaempfl and others
(1002) Target OS: Linux for ARMHF
(3104) Compiling pas2js.pas
pas2js.pas(27,29) Hint: (5024) Parameter "AVisibility" not used
pas2js.pas(28,13) Hint: (5024) Parameter "ASourceFilename" not used
pas2js.pas(28,38) Hint: (5024) Parameter "ASourceLinenumber" not used
pas2js.pas(30,32) Hint: (5024) Parameter "AName" not used
pas2js.pas(68,8) Warning: (5043) Symbol "ParseSource" is deprecated
pas2js.pas(72,16) Error: (5038) identifier idents no member "ConvertElement"
pas2js.pas(117) Fatal: (10026) There were 1 errors compiling module, stopping
Fatal: (1018) Compilation aborted
Compilation failed.
Error: /usr/local/bin/ppcarm returned an error exitcode
Additional InformationThis is already quite some time.
TagsNo tags attached.
Fixed in Revision36817
FPCOldBugId
FPCTarget
Attached Files

Activities

Michael Van Canneyt

2017-08-02 13:12

administrator   ~0102033

Fixed. Thanks for reporting.

Issue History

Date Modified Username Field Change
2017-07-30 09:11 Thaddy de Koning New Issue
2017-08-02 13:12 Michael Van Canneyt Fixed in Revision => 36817
2017-08-02 13:12 Michael Van Canneyt Note Added: 0102033
2017-08-02 13:12 Michael Van Canneyt Status new => resolved
2017-08-02 13:12 Michael Van Canneyt Fixed in Version => 3.1.1
2017-08-02 13:12 Michael Van Canneyt Resolution open => fixed
2017-08-02 13:12 Michael Van Canneyt Assigned To => Michael Van Canneyt
2017-08-02 13:12 Michael Van Canneyt Target Version => 3.2.0